---

pleroma_host: "localhost"
pleroma_port: 4000
pleroma_scheme: "http"

pleroma_proxy_pass: "{{pleroma_scheme}}://{{pleroma_host}}:{{pleroma_port}}"

pleroma_link_host: "localhost"
pleroma_link_port: "443"
pleroma_link_scheme: "https"

pleroma_instance_name: "{{pleroma_link_host}}"
pleroma_desc: "A Pleroma fediverse instance."
pleroma_admin_email: "admin@{{pleroma_link_host}}"
pleroma_char_limit: 5000
pleroma_signup_open: "true"
pleroma_db_host: "localhost"
pleroma_db_superuser: "postgres"

pleroma_db: "pleroma_{{pleroma_instance}}"
pleroma_db_user: "pleroma_{{pleroma_instance}}"
pleroma_data_dir: "/var/lib/pleroma/instance_data"

pleroma_download_url: "https://git.pleroma.social/api/v4/projects/2/jobs/artifacts/stable/download?job={{pleroma_arch}}"

pleroma_soapbox: false
pleroma_soapbox_version: "v1.1.0"
pleroma_soapbox_download_url: "https://gitlab.com/soapbox-pub/soapbox-fe/-/jobs/artifacts/{{pleroma_soapbox_version}}/download?job=build-production"
